Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSliderUI.ActionScroller

    java.lang.Object
      |
      +--javax.swing.AbstractAction
            |
            +--javax.swing.plaf.basic.BasicSliderUI.ActionScroller

All Implemented Interfaces:
  Action, ActionListener, Cloneable, EventListener, Serializable

Enclosing class:
  BasicSliderUI

public class BasicSliderUI.ActionScroller
extends AbstractAction

As of Java 2 platform v1.3 this undocumented class is no longer used. The recommended approach to creating bindings is to use a combination of an `ActionMap`, to contain the action, and an `InputMap` to contain the mapping from KeyStroke to action description. The InputMap is is usually described in the LookAndFeel tables.

Please refer to the key bindings specification for further details.

This inner class is marked "public" due to a compiler bug. This class should be treated as a "protected" inner class. Instantiate it only within subclasses of .

See Also:
  Serialized Form

Fields inherited from class javax.swing.AbstractAction
`changeSupport, enabled`

Fields inherited from interface javax.swing.Action
`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SHORT_DESCRIPTION, SMALL_ICON`

Constructor Summary
`BasicSliderUI.ActionScroller(JSlider slider, int dir, boolean block)`

Method Summary
`void` | `actionPerformed(ActionEvent e)` Invoked when an action occurs.
`boolean` | `isEnabled()` Returns true if the action is enabled.

Methods inherited from class javax.swing.AbstractAction
`addPropertyChangeListener, clone, firePropertyChange, getKeys, getValue, putValue, removePropertyChangeListener, setEnabled`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicSliderUI.ActionScroller

    public BasicSliderUI.ActionScroller(JSlider slider,
                                        int dir,
                                        boolean block)

Method Detail

### actionPerformed

    public void actionPerformed(ActionEvent e)

  Description copied from interface: `ActionListener`
  Invoked when an action occurs.

### isEnabled

    public boolean isEnabled()

  Description copied from class: `AbstractAction`
  Returns true if the action is enabled.
  Overrides:
    `isEnabled` in class `AbstractAction`
  Following copied from class: `javax.swing.AbstractAction`
  Returns:
    true if the action is enabled, false otherwise
  See Also:
    `Action.isEnabled()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.